Change log for pacemaker package in Ubuntu

175 of 80 results
Published in cosmic-updates on 2019-04-23
Published in cosmic-security on 2019-04-23
pacemaker (1.1.18-2ubuntu1.18.10.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: DoS and local privilege escalation in client-server
    authentication
    - debian/patches/CVE-2018-1687x-1.patch: make crm_pid_active more
      precise as to when detections fail in include/crm_internal.h,
      lib/common/utils.c.
    - debian/patches/CVE-2018-1687x-2.patch: add new helpers to allow IPC
      client side to authenticate the server in configure.ac,
      include/crm/common/Makefile.am, include/crm/common/ipc.h,
      include/crm/common/ipc_internal.h, lib/common/ipc.c.
    - debian/patches/CVE-2018-1687x-3.patch: pacemakerd to trust
      pre-existing processes via new checks instead in mcp/pacemaker.c.
    - debian/patches/CVE-2018-1687x-4.patch: other daemons to authenticate
      IPC servers of fellow processes in lib/cluster/corosync.c,
      lib/cluster/cpg.c, lib/common/ipc.c, mcp/corosync.c.
    - debian/patches/CVE-2018-1687x-5.patch: CPG users to be careful about
      now-more-probable rival processes in attrd/main.c, cib/main.c,
      crmd/main.c, fencing/main.c, lib/cluster/cpg.c.
    - debian/patches/CVE-2018-1687x-6.patch: fix possible NULL pointer
      dereference in crmd/control.c.
    - debian/libcrmcommon3.symbols: added new symbols.
    - CVE-2018-16877
    - CVE-2018-16878
  * SECURITY UPDATE: information disclosure via use-after-free
    - debian/patches/CVE-2019-3885.patch: fix alert handling in
      lib/services/services.c, lib/services/services_linux.c.
    - CVE-2019-3885

 -- Marc Deslauriers <email address hidden>  Thu, 18 Apr 2019 07:32:00 -0400
Published in xenial-updates on 2019-04-23
Published in xenial-security on 2019-04-23
pacemaker (1.1.14-2ubuntu1.6) xenial-security; urgency=medium

  * SECURITY UPDATE: DoS and local privilege escalation in client-server
    authentication
    - debian/patches/CVE-2018-1687x-1.patch: make crm_pid_active more
      precise as to when detections fail in include/crm_internal.h,
      lib/common/utils.c.
    - debian/patches/CVE-2018-1687x-2.patch: add new helpers to allow IPC
      client side to authenticate the server in configure.ac,
      include/crm/common/Makefile.am, include/crm/common/ipc.h,
      include/crm/common/ipc_internal.h, lib/common/ipc.c.
    - debian/patches/CVE-2018-1687x-3.patch: pacemakerd to trust
      pre-existing processes via new checks instead in mcp/pacemaker.c.
    - debian/patches/CVE-2018-1687x-4.patch: other daemons to authenticate
      IPC servers of fellow processes in lib/cluster/corosync.c,
      lib/cluster/cpg.c, lib/common/ipc.c, mcp/corosync.c.
    - debian/patches/CVE-2018-1687x-5.patch: CPG users to be careful about
      now-more-probable rival processes in attrd/main.c, cib/main.c,
      crmd/main.c, fencing/main.c, lib/cluster/cpg.c.
    - debian/patches/CVE-2018-1687x-6.patch: fix possible NULL pointer
      dereference in crmd/control.c.
    - debian/libcrmcommon3.symbols: added new symbols.
    - CVE-2018-16877
    - CVE-2018-16878

 -- Marc Deslauriers <email address hidden>  Thu, 18 Apr 2019 08:30:39 -0400
Published in eoan-proposed on 2019-04-23
Published in disco-updates on 2019-04-23
Published in disco-security on 2019-04-23
pacemaker (1.1.18-2ubuntu1.19.04.1) disco-security; urgency=medium

  * SECURITY UPDATE: DoS and local privilege escalation in client-server
    authentication
    - debian/patches/CVE-2018-1687x-1.patch: make crm_pid_active more
      precise as to when detections fail in include/crm_internal.h,
      lib/common/utils.c.
    - debian/patches/CVE-2018-1687x-2.patch: add new helpers to allow IPC
      client side to authenticate the server in configure.ac,
      include/crm/common/Makefile.am, include/crm/common/ipc.h,
      include/crm/common/ipc_internal.h, lib/common/ipc.c.
    - debian/patches/CVE-2018-1687x-3.patch: pacemakerd to trust
      pre-existing processes via new checks instead in mcp/pacemaker.c.
    - debian/patches/CVE-2018-1687x-4.patch: other daemons to authenticate
      IPC servers of fellow processes in lib/cluster/corosync.c,
      lib/cluster/cpg.c, lib/common/ipc.c, mcp/corosync.c.
    - debian/patches/CVE-2018-1687x-5.patch: CPG users to be careful about
      now-more-probable rival processes in attrd/main.c, cib/main.c,
      crmd/main.c, fencing/main.c, lib/cluster/cpg.c.
    - debian/patches/CVE-2018-1687x-6.patch: fix possible NULL pointer
      dereference in crmd/control.c.
    - debian/libcrmcommon3.symbols: added new symbols.
    - CVE-2018-16877
    - CVE-2018-16878
  * SECURITY UPDATE: information disclosure via use-after-free
    - debian/patches/CVE-2019-3885.patch: fix alert handling in
      lib/services/services.c, lib/services/services_linux.c.
    - CVE-2019-3885

 -- Marc Deslauriers <email address hidden>  Thu, 18 Apr 2019 07:32:00 -0400
Published in bionic-updates on 2019-04-23
Published in bionic-security on 2019-04-23
pacemaker (1.1.18-0ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: DoS and local privilege escalation in client-server
    authentication
    - debian/patches/CVE-2018-1687x-1.patch: make crm_pid_active more
      precise as to when detections fail in include/crm_internal.h,
      lib/common/utils.c.
    - debian/patches/CVE-2018-1687x-2.patch: add new helpers to allow IPC
      client side to authenticate the server in configure.ac,
      include/crm/common/Makefile.am, include/crm/common/ipc.h,
      include/crm/common/ipc_internal.h, lib/common/ipc.c.
    - debian/patches/CVE-2018-1687x-3.patch: pacemakerd to trust
      pre-existing processes via new checks instead in mcp/pacemaker.c.
    - debian/patches/CVE-2018-1687x-4.patch: other daemons to authenticate
      IPC servers of fellow processes in lib/cluster/corosync.c,
      lib/cluster/cpg.c, lib/common/ipc.c, mcp/corosync.c.
    - debian/patches/CVE-2018-1687x-5.patch: CPG users to be careful about
      now-more-probable rival processes in attrd/main.c, cib/main.c,
      crmd/main.c, fencing/main.c, lib/cluster/cpg.c.
    - debian/patches/CVE-2018-1687x-6.patch: fix possible NULL pointer
      dereference in crmd/control.c.
    - debian/libcrmcommon3.symbols: added new symbols.
    - CVE-2018-16877
    - CVE-2018-16878
  * SECURITY UPDATE: information disclosure via use-after-free
    - debian/patches/CVE-2019-3885.patch: fix alert handling in
      lib/services/services.c, lib/services/services_linux.c.
    - CVE-2019-3885

 -- Marc Deslauriers <email address hidden>  Thu, 18 Apr 2019 07:56:54 -0400
Superseded in xenial-updates on 2019-04-23
Deleted in xenial-proposed 13 hours ago (Reason: moved to -updates)
pacemaker (1.1.14-2ubuntu1.5) xenial; urgency=medium

  * Change systemd unit to source /etc/default files by default
    (LP: #1819046)

 -- <email address hidden> (Heitor R. Alves de Siqueira)  Thu, 07 Mar 2019 15:13:34 -0300
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-07-25
Deleted in cosmic-proposed (Reason: moved to release)
pacemaker (1.1.18-2ubuntu1) cosmic; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/control: Demote fence-agents to Suggests, avoiding main
      inclusion.
    - debian/patches/pacemaker_is_partof_corosync.patch: Default systemd
      unit hard-requires corosync.
      + Debian disagrees in Debian bug 887563 message 36. We could revert back
        to Debian's behaviour, but keeping the patch in this merge maintains
        existing behaviour for Ubuntu users pending any separate future
        decision.
  * Drop changes:
    - Drop upstreamed patches (dropped in Debian now instead).
    - Refresh d/p/portability-define-EKEYREJECTED-if-necessary.patch: no longer
      needed; dropped in Debian.
    - d/pacemaker.{pre,post}inst flag for corosync: upgrade path no longer
      needed post-Bionic.

Superseded in cosmic-release on 2018-07-25
Deleted in cosmic-proposed on 2018-07-26 (Reason: moved to release)
pacemaker (1.1.18-0ubuntu2) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <email address hidden>  Thu, 03 May 2018 14:17:47 +0000

Available diffs

Superseded in cosmic-release on 2018-05-04
Published in bionic-release on 2018-04-18
Deleted in bionic-proposed (Reason: moved to release)
pacemaker (1.1.18-0ubuntu1) bionic; urgency=medium

  * New upstream release (1.1.18)
    - Drop upstreamed patches and refresh others.
    - LP: #1763085

 -- Nishanth Aravamudan <email address hidden>  Wed, 11 Apr 2018 09:23:27 -0700
Published in trusty-updates on 2018-04-12
Deleted in trusty-proposed (Reason: moved to -updates)
pacemaker (1.1.10+git20130802-1ubuntu2.5) trusty; urgency=medium

  * Fixing memory leak (LP: #1316970)
    - adding free function where is missing

 -- Seyeong Kim <email address hidden>  Tue, 20 Feb 2018 19:36:53 +0900
Published in artful-updates on 2018-03-05
Deleted in artful-proposed (Reason: moved to -updates)
pacemaker (1.1.17+really1.1.16-1ubuntu2) artful; urgency=medium

  * Rebuilding with a version greater than 1.1.17:
    - pacemaker 1.1.17 was pushed to Artful at one point and then got deleted.

Superseded in xenial-updates on 2019-03-21
Deleted in xenial-proposed on 2019-03-22 (Reason: moved to -updates)
pacemaker (1.1.14-2ubuntu1.4) xenial; urgency=high

  * Properly restart corosync and pacemaker together (LP: #1740892)
    - d/pacemaker.preinst: flag corosync to restart pacemaker on
      upgrade.

 -- Eric Desrochers <email address hidden>  Mon, 19 Feb 2018 09:37:35 -0500
Superseded in bionic-release on 2018-04-18
Deleted in bionic-proposed on 2018-04-20 (Reason: moved to release)
pacemaker (1.1.18~rc4-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable (LP: #1743059). Remaining changes:
    - d/control: Demote fence-agents to Suggests, avoiding main
      inclusion.
  * Drop:
    - d/control: Promote crmsh | pcs to Recommends for upgraders from
      14.04.
      [ Not needed since 16.10 ]
  * Properly restart corosync and pacemaker together (LP: #1740892)
    - d/pacemaker.preinst: flag corosync to restart pacemaker on
      upgrade.
    - d/pacemaker.postinst: clear flag unconditionally in case of errors
      + The preinst and postinst changes can be dropped after bionic
        releases as long as the other changes are maintained.
    - debian/patches/pacemaker_is_partof_corosync.patch: Default systemd
      unit hard-requires corosync.  LP #1740892.

 -- Nishanth Aravamudan <email address hidden>  Tue, 30 Jan 2018 16:38:09 -0800
Superseded in bionic-release on 2018-02-13
Deleted in bionic-proposed on 2018-02-15 (Reason: moved to release)
pacemaker (1.1.18~rc3-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Demote fence-agents to Suggests, avoiding main
      inclusion.
    - d/control: Promote crmsh | pcs to Recommends for upgraders from
      14.04.

Superseded in xenial-security on 2019-04-23
Superseded in xenial-updates on 2018-03-05
Deleted in xenial-proposed 19 hours ago (Reason: moved to -updates)
pacemaker (1.1.14-2ubuntu1.3) xenial; urgency=medium

  * Fix default start/stop levels for init scripts, ensuring that
    running pacemaker daemons are restarted after package upgrades
    (LP: #1727063):
    - d/p/Enable-the-init-scripts-on-multi-user-runlevels.patch: Cherry
      picked fix from later package versions.

 -- James Page <email address hidden>  Wed, 25 Oct 2017 10:04:30 +0100
Superseded in bionic-proposed on 2017-11-03
Deleted in artful-proposed on 2017-11-04 (Reason: Moved to bionic-proposed)
pacemaker (1.1.17-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Demote fence-agents to Suggests, avoiding main inclusion.
    - d/control: Promote crmsh | pcs to Recommends for upgraders from 14.04.

 -- Nishanth Aravamudan <email address hidden>  Wed, 09 Aug 2017 10:52:14 -0700

Available diffs

Superseded in xenial-updates on 2017-10-25
Superseded in xenial-security on 2017-10-25
pacemaker (1.1.14-2ubuntu1.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Improper IPC guarding
    - debian/patches/CVE-2016-7035.patch: fix logic in lib/common/ipc.c.
    - CVE-2016-7035
  * SECURITY UPDATE: denial of service in pacemaker remote
    - debian/patches/CVE-2016-7797.patch: notify only on completed
      handshake in lrmd/tls_backend.c.
    - CVE-2016-7797

 -- Marc Deslauriers <email address hidden>  Fri, 02 Jun 2017 14:08:57 -0400
Superseded in trusty-updates on 2018-04-12
Published in trusty-security on 2017-10-24
pacemaker (1.1.10+git20130802-1ubuntu2.4) trusty-security; urgency=medium

  * SECURITY UPDATE: Improper IPC guarding
    - debian/patches/CVE-2016-7035.patch: fix logic in lib/common/ipc.c.
    - CVE-2016-7035

 -- Marc Deslauriers <email address hidden>  Fri, 02 Jun 2017 14:11:02 -0400
Superseded in bionic-release on 2017-11-10
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
pacemaker (1.1.16-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable (LP: #1655753). Remaining changes:
    - d/control: Demote fence-agents to Suggests, avoiding main inclusion.
    - d/control: Promote crmsh | pcs to Recommends for upgraders from 14.04.
  * Drop:
    - d/rules: update CTS python files' path for python3 and possibly
      site-packages. If the code is updated to use setuptools, cts should
      continue to not be shipped. Fixes FTBFS for arch-only builds
      (LP #1627125).
    [ Debian resolved this by disabling the testing infrastructure in
      1.1.15-2 ]

 -- Nishanth Aravamudan <email address hidden>  Wed, 11 Jan 2017 12:30:02 -0800

Available diffs

Superseded in zesty-release on 2017-01-12
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
pacemaker (1.1.15-1ubuntu2) yakkety; urgency=medium

  * d/rules: update CTS python files' path for python3 and possibly
    site-packages. If the code is updated to use setuptools, cts should
    continue to not be shipped. Fixes FTBFS for arch-only builds
    (LP: #1627125).

 -- Nishanth Aravamudan <email address hidden>  Fri, 23 Sep 2016 13:51:00 -0700

Available diffs

Superseded in xenial-updates on 2017-10-24
Deleted in xenial-proposed on 2017-10-25 (Reason: moved to -updates)
pacemaker (1.1.14-2ubuntu1.1) xenial; urgency=medium

  * add missing dependency to dbus (LP: #1595901)

 -- Christian Ehrhardt <email address hidden>  Thu, 04 Aug 2016 15:24:08 +0200
Superseded in yakkety-release on 2016-09-28
Deleted in yakkety-proposed on 2016-09-29 (Reason: moved to release)
pacemaker (1.1.15-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable (LP: #1604694). Remaining changes:
    - d/control: Demote fence-agents to Suggests, avoiding main inclusion.
    - d/control: Promote crmsh | pcs to Recommends for upgraders from 14.04.
  * Dropped changes:
    - d/control: bump depend on corosync to >= 2.3.0
      (unimportant since this version was provided in Debian stable &
      Ubuntu 14.04 LTS)
    - d/control: Drop publican from BD's, skip some doc generation.
    - d/pacemaker-doc.*: Drop docs generated using publican from install.
      (universe build-depends are ok now)

 -- Jeremy Bicha <email address hidden>  Wed, 20 Jul 2016 02:39:01 -0400

Available diffs

Superseded in yakkety-release on 2016-07-28
Published in xenial-release on 2016-03-21
Deleted in xenial-proposed (Reason: moved to release)
pacemaker (1.1.14-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Drop publican from BD's, skip some doc generation.
    - d/control: depend on corosync ( >= 2.3.0 )
    - d/control: Demote fence-agents to Suggests, avoiding main inclusion.
    - d/control: Promote crmsh | pcs to Recommends for upgraders from 14.04.
    - d/pacemaker-doc.*: Drop docs generated using publican from install.

Superseded in xenial-release on 2016-03-21
Deleted in xenial-proposed on 2016-03-23 (Reason: moved to release)
pacemaker (1.1.14-1ubuntu2) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <email address hidden>  Wed, 17 Feb 2016 22:27:08 +0000

Available diffs

Superseded in xenial-release on 2016-02-22
Deleted in xenial-proposed on 2016-02-23 (Reason: moved to release)
pacemaker (1.1.14-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Drop publican from BD's, skip some doc generation.
    - d/pacemaker-doc.*: Drop docs generated using publican from install.
    - d/control: Demote fence-agents to Suggests, avoiding main inclusion.
    - d/control: Promote crmsh | pcs to Recommends for upgraders from 14.04.

Superseded in xenial-release on 2016-02-04
Deleted in xenial-proposed on 2016-02-05 (Reason: moved to release)
pacemaker (1.1.14~rc4-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/control: Drop publican from BD's, skip some doc generation.
    - d/pacemaker-doc.*: Drop docs generated using publican from install.
    - d/control: Demote fence-agents to Suggests, avoiding main inclusion.
    - d/control: Promote crmsh | pcs to Recommends for upgraders from 14.04.

Superseded in xenial-proposed on 2016-01-15
pacemaker (1.1.13-2ubuntu1) xenial; urgency=medium

  * Resync with Debian unstable.
  * d/control: Drop publican from BD's, skip some doc generation.
  * d/pacemaker-doc.*: Drop docs generated using publican from install.
  * d/control: Demote fence-agents to Suggests, avoiding main inclusion.
  * d/control: Promote crmsh | pcs to Recommends for upgraders from 14.04.

Available diffs

Superseded in xenial-release on 2016-01-25
Deleted in xenial-proposed on 2016-02-06 (Reason: moved to release)
pacemaker (1.1.12-0ubuntu3) xenial; urgency=medium

  * d/control: Bump minimum version on crmsh to 2.1.3 (LP: #1445616).

 -- James Page <email address hidden>  Mon, 04 Jan 2016 11:28:33 +0000

Available diffs

Superseded in xenial-release on 2016-01-06
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-22 (Reason: moved to release)
pacemaker (1.1.12-0ubuntu2) vivid; urgency=medium

  * SECURITY UPDATE: ACL bypass issue
    - debian/patches/CVE-2015-1867.patch: do not delay evaluation of added
      nodes in lib/common/xml.c.
    - CVE-2015-1867
 -- Marc Deslauriers <email address hidden>   Mon, 20 Apr 2015 14:01:28 -0400
Superseded in vivid-release on 2015-04-21
Deleted in vivid-proposed on 2015-04-22 (Reason: moved to release)
pacemaker (1.1.12-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1426761):
    - d/p/Fix-services-Remove-cancelled-recurring-ops-from-internal-lists.patch,
      d/p/Fix-services-Do-not-allow-duplicate-recurring-op-ent.patch,
      d/p/High-lrmd-Merge-duplicate-recurring-monitor-operatio.patch,
      d/p/Fix-lrmd-cancel-recurring-operations-before-stop-act.patch:
      Dropped, included upstream.
    - d/control,d/libcib{3,4}*: Transition libcib3 -> libcib4.
    - d/libcrmcluster4-dev: Add crm/compatibility.h to install.
    - d/control: Bump minimum corosync version to 2.3.0.
  * d/lib*.install: Use wildcard for so installation to make packaging
    a little less brittle.
  * d/pacemaker.install: Wildcard installs in /usr/share/pacemaker to make
    packaging a little less brittle.
  * d/watch: Update to use github for release tracking
  * d/rules: Re-enable upstart support.
  * d/p/fix-init-default-start-stop.patch: Add default runlevels to
    pacemaker init script to ensure that it can be enabled correctly
    (LP: #1427408).
 -- James Page <email address hidden>   Wed, 11 Mar 2015 12:35:49 +0000

Available diffs

Superseded in trusty-updates on 2017-10-24
Deleted in trusty-proposed on 2017-10-25 (Reason: moved to -updates)
pacemaker (1.1.10+git20130802-1ubuntu2.3) trusty; urgency=medium

  * Fix: stonith-ng: Reset mainloop source IDs after removing them (LP: #1412962)
  * Fix: services: Fixes segfault associated with cancelling in-flight
    recurring operations (LP: #1412962)
  * Fix: services: Remove cancelled recurring ops from internal
    lists as early as possible (LP: #1412962)
 -- Rafael David Tinoco (Inaddy) <email address hidden>   Wed, 04 Feb 2015 15:51:09 -0600
Obsolete in utopic-updates on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to -updates)
pacemaker (1.1.10+git20130802-4ubuntu3.2) utopic; urgency=medium

  * Fix: stonith-ng: Reset mainloop source IDs after removing them (LP: #1412962)
  * Fix: services: Fixes segfault associated with cancelling in-flight
    recurring operations (LP: #1412962)
  * Fix: services: Remove cancelled recurring ops from internal
    lists as early as possible (LP: #1412962)
 -- Rafael David Tinoco (Inaddy) <email address hidden>   Wed, 04 Feb 2015 15:44:28 -0600
Superseded in vivid-release on 2015-03-12
Deleted in vivid-proposed on 2015-03-17 (Reason: moved to release)
pacemaker (1.1.11-1ubuntu2) vivid; urgency=medium

  * Fix: stonith-ng: Reset mainloop source IDs after removing them (LP: #1412962)
  * Fix: services: Remove cancelled recurring ops from internal
    lists as early as possible (LP: #1412962)
 -- Rafael David Tinoco (Inaddy) <email address hidden>   Wed, 04 Feb 2015 15:21:30 -0600
Superseded in utopic-updates on 2015-02-16
Deleted in utopic-proposed on 2015-02-17 (Reason: moved to -updates)
pacemaker (1.1.10+git20130802-4ubuntu3.1) utopic; urgency=medium

  [ James Page ]
  * d/control: Ensure that pacemaker binary package uses matched binary
    versions of pacemaker libraries, avoiding upgrade problems (LP: #1382842).

  [ Rafael David Tinoco ]
  * d/p/Fix-lrmd-Prevent-glib-timers-removed-more-than-once.patch:
    Prevent glib assert triggered by timers being removed from mainloop more
    than once, cherry picked from upstream VCS (LP: #1368737).
 -- Rafael David Tinoco <email address hidden>   Thu, 18 Dec 2014 10:14:38 +0000
Superseded in trusty-updates on 2015-02-12
Deleted in trusty-proposed on 2015-02-13 (Reason: moved to -updates)
pacemaker (1.1.10+git20130802-1ubuntu2.2) trusty; urgency=medium

  [ James Page ]
  * d/control: Ensure that pacemaker binary package uses matched binary
    versions of pacemaker libraries, avoiding upgrade problems (LP: #1382842).

  [ Rafael David Tinoco ]
  * d/p/Fix-lrmd-Prevent-glib-timers-removed-more-than-once.patch:
    Prevent glib assert triggered by timers being removed from mainloop more
    than once, cherry picked from upstream VCS (LP: #1368737).
 -- Rafael David Tinoco <email address hidden>   Thu, 18 Dec 2014 10:09:39 +0000
Superseded in vivid-release on 2015-02-04
Deleted in vivid-proposed on 2015-02-06 (Reason: moved to release)
pacemaker (1.1.11-1ubuntu1) vivid; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Build-Depends on libcfg-dev.
    - Corosync's pacemaker plugin is disabled, hence not built:
      + d/libcrmcluster4-dev.install: Do not install plugin.h.
      + d/pacemaker.install,rules: Do not install pacemaker.lcrso.
    - Cherry picked fixes from upstream VCS:
      + Fix: services: Do not allow duplicate recurring op entries
      + High: lrmd: Merge duplicate recurring monitor operations
      + Fix: lrmd: Cancel recurring operations before stop action is executed
    - d/p/*: Refreshed.
  * Dropped changes, included in Debian:
    - d/control: Depend on libheartbeat2.
  * d/control: Ensure that pacemaker binary package uses matched binary
    versions of pacemaker libraries, avoiding upgrade problems (LP: #1382842).
  * d/p/Fix-lrmd-Prevent-glib-assert-triggered-by-timers-being.patch:
    Prevent glib assert triggered by timers being removed from mainloop more
    than once, cherry picked from upstream VCS (LP: #1368737).
  * d/control,compat,rules: Bump debhelper compat level to 9, drop use of
    hardening-wrapper.
  * d/control: Bumped Standards-Version, no changes.

Superseded in trusty-updates on 2015-02-04
Deleted in trusty-proposed on 2015-02-05 (Reason: moved to -updates)
pacemaker (1.1.10+git20130802-1ubuntu2.1) trusty; urgency=medium

  * Fix: services: Do not allow duplicate recurring op entries - 1/3 (LP: #1353473)
  * High: lrmd: Merge duplicate recurring monitor operations - 2/3 (LP: #1353473)
  * Fix: lrmd: Cancel recurring operations before stop action is executed - 3/3 (LP: #1353473)
 -- Rafael David Tinoco <email address hidden>   Wed, 06 Aug 2014 09:24:13 -0300
Superseded in vivid-release on 2014-12-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
pacemaker (1.1.10+git20130802-4ubuntu3) utopic; urgency=medium

  * Fix: services: Do not allow duplicate recurring op entries - 1/3 (LP: #1353473)
  * High: lrmd: Merge duplicate recurring monitor operations - 2/3 (LP: #1353473)
  * Fix: lrmd: Cancel recurring operations before stop action is executed - 3/3 (LP: #1353473)
 -- Rafael David Tinoco <email address hidden>   Thu, 04 Sep 2014 09:58:36 -0500
Superseded in utopic-release on 2014-09-04
Deleted in utopic-proposed on 2014-09-05 (Reason: moved to release)
pacemaker (1.1.10+git20130802-4ubuntu2) utopic; urgency=high

  * No change rebuild against gnutls28.
 -- Dimitri John Ledkov <email address hidden>   Fri, 08 Aug 2014 13:56:26 +0100
Superseded in utopic-release on 2014-08-08
Deleted in utopic-proposed on 2014-08-09 (Reason: moved to release)
pacemaker (1.1.10+git20130802-4ubuntu1) utopic; urgency=low

  * Merge from Debian unstable (LP: #1351307).  Remaining changes:
    - debian/control: Build-Depends on libcfg-dev; Depends on libheartbeat2.
  * Corosync's pacemaker plugin is disabled, hence not built:
    - debian/licrmcluster4-dev.install: Do not install plugin.h.
    - debian/pacemaker.install: Do not install pacemaker.lcrso.

Published in precise-updates on 2014-07-03
Deleted in precise-proposed (Reason: moved to -updates)
pacemaker (1.1.6-2ubuntu3.3) precise; urgency=high

  * Removed buggy logic that tried to prevent rare secondary dc fencing (LP: #1312156)
 -- Rafael David Tinoco <email address hidden>   Fri, 02 May 2014 15:47:36 -0500
Superseded in precise-updates on 2014-07-03
Deleted in precise-proposed on 2014-07-04 (Reason: moved to -updates)
pacemaker (1.1.6-2ubuntu3.2) precise; urgency=low

  * debian/patches/Low-cib-If-we-received-the-message-the-peer-is-activ.patch:
    Fix issues where syncing fails during reboots. (LP: #1302633)
 -- Chris J Arges <email address hidden>   Thu, 03 Apr 2014 09:26:29 -0500
Superseded in utopic-release on 2014-08-01
Published in trusty-release on 2014-02-23
Deleted in trusty-proposed (Reason: moved to release)
pacemaker (1.1.10+git20130802-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.
 -- Matthias Klose <email address hidden>   Sun, 23 Feb 2014 13:49:43 +0000
Superseded in trusty-release on 2014-02-23
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
pacemaker (1.1.10+git20130802-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Build-Depends on libqb-dev; Depends on libheartbeat2.
  * Corosync's pacemaker plugin is disabled, hence not built:
    - debian/licrmcluster4-dev.install: Do not install plugin.h.
    - debian/pacemaker.install: Do not install pacemaker.lcrso.
 -- Andres Rodriguez <email address hidden>   Thu, 15 Aug 2013 11:27:07 -0400
Superseded in saucy-release on 2013-08-17
Deleted in saucy-proposed on 2013-09-12 (Reason: moved to release)
pacemaker (1.1.9+git20130321-1ubuntu3) saucy; urgency=low

  * debian/control: Depend on libheartbeat2
 -- Andres Rodriguez <email address hidden>   Tue, 30 Jul 2013 17:48:11 -0400
Superseded in saucy-release on 2013-07-30
Deleted in saucy-proposed on 2013-08-01 (Reason: moved to release)
pacemaker (1.1.9+git20130321-1ubuntu2) saucy; urgency=low

  * debian/control: Remove revision for corosync related Deps.
 -- Andres Rodriguez <email address hidden>   Tue, 23 Jul 2013 18:32:30 -0400

Available diffs

Superseded in saucy-proposed on 2013-07-23
pacemaker (1.1.9+git20130321-1ubuntu1) saucy; urgency=low

  * Resync from debian expiremental.
  * debian/control:
    - Use lower version for Build-Depends on libcorosync-dev
      and libqb-dev.
    - Build-Depends on libcfg-dev.
 -- Andres Rodriguez <email address hidden>   Tue, 16 Jul 2013 16:40:24 -0400
Superseded in precise-updates on 2014-04-23
Deleted in precise-proposed on 2014-04-25 (Reason: moved to -updates)
pacemaker (1.1.6-2ubuntu3.1) precise-proposed; urgency=low

  * debian/patches/cib-segfault.patch: Fix segfault caused by
    destroying an already free hash table. (LP: #1057651)
 -- Ante Karamatic <email address hidden>   Thu, 27 Jun 2013 15:55:34 +0200

Available diffs

Superseded in saucy-release on 2013-07-30
Deleted in saucy-proposed on 2013-10-08 (Reason: moved to release)
pacemaker (1.1.7-2.1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build with cman support
      + debian/rules: --with-cman.
      + Depends on libcman-dev and libfence-dev.
    - Build-Dep on libcorosync4.

Superseded in saucy-release on 2013-06-20
Deleted in saucy-proposed on 2013-06-21 (Reason: moved to release)
pacemaker (1.1.7-2ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build with cman support
      + debian/rules: --with-cman.
      + Depends on libcman-dev and libfence-dev.
    - Build-Dep on libcorosync4.
    - debian/patches/mcp-include-missing-headers.patch:
      + Fix FTBFS due to missing headers.

Available diffs

Superseded in saucy-release on 2013-06-05
Deleted in saucy-proposed on 2013-06-07 (Reason: moved to release)
pacemaker (1.1.7-1ubuntu3) saucy; urgency=low

  * Rebuild for libsnmp30.
 -- Colin Watson <email address hidden>   Mon, 20 May 2013 22:09:05 +0100

Available diffs

Superseded in saucy-release on 2013-06-02
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
pacemaker (1.1.7-1ubuntu2) raring; urgency=low

  * debian/patches/mcp-include-missing-headers.patch:
    - Fix FTBFS due to missing headers.
 -- Chris J Arges <email address hidden>   Tue, 29 Jan 2013 11:20:44 -0600

Available diffs

Superseded in raring-release on 2013-01-29
Obsolete in quantal-release on 2015-04-24
pacemaker (1.1.7-1ubuntu1) quantal; urgency=low

  * Merge from Debian testing (LP: #1003111).  Remaining changes:
    - Build with cman support
      + debian/rules: --with-cman.
      + Depends on libcman-dev and libfence-dev.
    - Build-Dep on libcorosync4.

Available diffs

Superseded in quantal-release on 2012-05-22
Published in precise-release on 2012-04-16
pacemaker (1.1.6-2ubuntu3) precise; urgency=low

  * Build with cman support (LP: #983091)
    - debian/rules: --with-cman.
    - Depends on libcman-dev and libfence-dev.
 -- Andres Rodriguez <email address hidden>   Mon, 16 Apr 2012 12:55:17 -0400

Available diffs

Superseded in precise-release on 2012-04-16
pacemaker (1.1.6-2ubuntu2) precise; urgency=low

  * No change upload to fix new FTBFS (LP: #972600)
 -- Andres Rodriguez <email address hidden>   Tue, 03 Apr 2012 12:43:17 -0400

Available diffs

Superseded in precise-release on 2012-04-03
pacemaker (1.1.6-2ubuntu1) precise; urgency=low

  * debian/control: Build-Dep on libcorosync4. Fixes FTBFS (LP: #935538)
 -- Andres Rodriguez <email address hidden>   Thu, 23 Feb 2012 00:29:31 -0500

Available diffs

Superseded in precise-release on 2012-02-23
pacemaker (1.1.6-2) unstable; urgency=low

  * Adopted numerous changes from the Ubuntu packages, implemented by Andres
    Rodriguez to make co-maintaining these packages in Ubuntu and Debian a
    bit easier. 

Available diffs

Superseded in precise-release on 2011-11-07
Obsolete in oneiric-release on 2015-04-24
pacemaker (1.1.5-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/patches:
    - lib_license_headers_update.patch: Dropped.
    - other_license_headers_update.patch: Dropped.
    - fix_ftbfs_linker_as_needed.patch: Dropped.
    - remove_debian-dir_from_autotools_handling.patch: Dropped.
    - debian/patches/fix_return_o2cb_ra.patch: Dropped.
    - debian/patches/raexecupstart.patch: Refreshed.
  * debian/control:
    - Build-Depends on xsltproc, docbook-xsl, resource-agents-dev.
    - Bump libpe-status2 to libpe-status3
    - Bump libstonithd0 to libstonithd1
    - Depends on resource-agents.
  * debian/libpe-status2{-dev}.install: Rename to libpe-status3{-dev}.install
  * debian/libstonithd0{-dev}.install: Rename to libstonithd1{-dev}.install
  * debian/clean: Do not clean nvset.rng and rule.rng.
  * debian/pacemaker.install:
    - Add missing binaries, manpages and files.
    - Drop files no longer needed.
    - Change nvset-1.0.rng to nvset.rng and rule-1.0.rng to rule.rng.
  * debian/pacemaker.manpages: No longer needed.
  * debian/libstonithd1-dev.install: Remove files that no longer exist
  * debian/libcrmcluster1-dev.install: Add missing header.
  * debian/libpe-status3.install: Update version in file.
  * debian/libstonithd1.install: Update version in file.
  * debian/pacemaker-dev.install: Do not install *.pyc or *.pyo files
  * debian/rules: Change from --fail-missing to --list-missing to not fail
    when *.pyc or *.pyo files are not installed.
  * Switch from dh_pycentral to dh_python2.
  * debian/pacemaker.postinst: Remove pycentral pkginstall rule.
 -- Andres Rodriguez <email address hidden>   Fri, 24 Jun 2011 18:31:14 -0400
Superseded in oneiric-release on 2011-06-24
pacemaker (1.0.11-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #784855).  Remaining changes:
    - debian/patches:
      + lib_license_headers_update.patch: Update the License Headers to
        correctly reflect the use of LGPL-2.1+.
      + other_license_headers_update.patch: Update the License Headers of
        files that show GPL version 2.1, to correctly show version 2+.
      + raexecupstart.patch: Utilize new upstart LRM plugin.
      + fix_ftbfs_linker_as_needed.patch: Prevent FTBFS due to linker changes.
      + fix_return_o2cb_ra.patch: Fix a return variale error in the o2cb RA.
    - debian/pacemaker.postinst: Fix permissions on /var/lib/pengine.
    - debian/control: Bump cluster-glue dependencies to Ubuntu specific.
  * debian/patches: Refresh all patches.

Available diffs

Superseded in oneiric-release on 2011-05-25
Obsolete in natty-release on 2013-06-04
pacemaker (1.0.10-4ubuntu3) natty; urgency=low

  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2
 -- Steve Langasek <email address hidden>   Thu, 24 Mar 2011 15:51:12 -0700

Available diffs

Superseded in natty-release on 2011-03-25
pacemaker (1.0.10-4ubuntu2) natty; urgency=low

  * debian/patches/fix_return_o2cb_ra.patch: Updated and add fix to change
    to killall instead of killproc as it doesn't exist in Ubuntu (LP: #727422)
 -- Andres Rodriguez <email address hidden>   Tue, 01 Mar 2011 17:14:39 -0500

Available diffs

Superseded in natty-release on 2011-03-02
pacemaker (1.0.10-4ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #701233).  Remaining changes:
    - debian/patches:
      + lib_license_headers_update.patch: Update the License Headers to
        correctly reflect the use of LGPL-2.1+.
      + other_license_headers_update.patch: Update the License Headers of
        files that show GPL version 2.1, to correctly show version 2+.
      + raexecupstart.patch: Utilize new upstart LRM plugin.
      + fix_ftbfs_linker_as_needed.patch: Prevent FTBFS due to linker changes.
      + fix_return_o2cb_ra.patch: Fix a return variale error in the o2cb RA.
    - debian/pacemaker.postinst: Fix permissions on /var/lib/pengine.
  * debian/control:
    - Bump cluster-glue dependencies to Ubuntu specific.
    - pacemaker-dev binary: Update dependencies to correct ones:
      (libpe-status2-dev,libpe-rules2-dev)
    - libcrmcommon2-dev: Drop Depends on cluster-glue-dev.
 -- Andres Rodriguez <email address hidden>   Wed, 12 Jan 2011 10:12:46 -0600
Superseded in natty-release on 2011-01-12
Superseded in natty-release on 2010-12-14
pacemaker (1.0.9.1+hg15626-2ubuntu3) natty; urgency=low

  * debian/patches:
    - lib_license_headers_update.patch: Update the License Headers to
      correctly reflect the use of LGPL-2.1+.
    - other_license_headers_update.patch: Update the License Headers of files
      that show GPL version 2.1, to correctly show version 2+.
 -- Andres Rodriguez <email address hidden>   Mon, 13 Dec 2010 13:00:46 -0500
Superseded in natty-release on 2010-12-13
pacemaker (1.0.9.1+hg15626-2ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.
 -- Matthias Klose <email address hidden>   Wed, 08 Dec 2010 15:08:00 +0000
Superseded in natty-release on 2010-12-08
pacemaker (1.0.9.1+hg15626-2ubuntu1) natty; urgency=low

  * Resync from Debian experimental.
  * debian/patches:
    - raexecupstart.patch: Utilize new upstart LRM plugin.
    - fix_ftbfs_linker_as_needed.patch: Prevent FTBFS due to linker changes.
    - fix_return_o2cb_ra.patch: Fix a return variale error in the o2cb RA.
  * debian/pacemaker.postinst: Fix permissions on /var/lib/pengine.
  * debian/control:
    - Build Dependencies: Bump cluster-glue-dev; remove python-dev
    - library -dev packages: Drop ${python:Depends}, ${shlibs:Dends}. Add
      dependency to its corresponding binary packages.
    - library packages: Drop depends on ${python:Depends}; Add missing
      Sections.
    - Tighten Conflicts/Replaces to Ubuntu related ones.
    - pacemaker-dev: Change from ${source:Version} to ${binary:Version}.
    - Rename libpe-{status,rules}-2 to libpe-{status,rules}2 respectively.
  * debian/libpe-{status,rules}-2{-dev}.install:
    - Rename to libpe-{status,rules}2{-dev}.
  * debian/rules: dh_pycentral only for pacemaker and pacemaker-dev.
  * debian/pacemaker.lintian-override: Removed.
 -- Andres Rodriguez <email address hidden>   Wed, 17 Nov 2010 16:40:23 -0500
Superseded in natty-release on 2010-11-17
pacemaker (1.0.9.1+hg15626-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/control: Change depency source:Version to binary:Version for
      pacemaker-dev binary package.
    - debian/patches/raexecupstart.patch: Utilize new upstart LRM plugin
      in cluster-glue
    - debian/control:
      + Bump build dep version of cluster-glue.
      + Drop unnecessary Build-Depends on python-dev.
    - debian/pacemaker.postinst: fix permissions on /var/lib/pengine.

Superseded in natty-release on 2010-11-01
Obsolete in maverick-release on 2013-03-05
pacemaker (1.0.9.1-2ubuntu4) maverick; urgency=low

  * Rollback library split into its original state.
 -- Andres Rodriguez <email address hidden>   Wed, 15 Sep 2010 13:47:43 -0400
Superseded in maverick-release on 2010-09-15
pacemaker (1.0.9.1-2ubuntu3) maverick; urgency=low

  * Split pacemaker{-dev} into libpacemaker{-dev}.
  * debian/control: Change depency source:Version to binary:Version for
    pacemaker-dev binary package.
 -- Andres Rodriguez <email address hidden>   Mon, 13 Sep 2010 13:31:06 -0400
Superseded in maverick-release on 2010-09-13
pacemaker (1.0.9.1-2ubuntu2) maverick; urgency=low

  * debian/patches/raexecupstart.patch:
    - utilize new upstart LRM plugin in cluster-glue
  * debian/control:
    - bump build dep version of cluster-glue
 -- Ante Karamatic <email address hidden>   Tue, 07 Sep 2010 17:40:56 +0000
Superseded in maverick-release on 2010-09-07
pacemaker (1.0.9.1-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #607885). Remaining changes:
    - debian/control: Drop unnecessary Build-Depends on python-dev.
    - debian/pacemaker.postinst: fix permissions on /var/lib/pengine.

Superseded in maverick-release on 2010-07-20
pacemaker (1.0.9.1-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #604413).  Remaining changes:
    - debian/control: Drop unnecessary Build-Depends on python-dev.
    - debian/pacemaker.postinst: fix permissions on /var/lib/pengine.

Superseded in maverick-release on 2010-07-12
pacemaker (1.0.8+hg15494-4ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #600894). Remaining changes:
    - debian/control: Drop unnecessary Build-Depends on python-dev.
    - debian/pacemaker.postinst: fix permissions on /var/lib/pengine.
 -- Andres Rodriguez <email address hidden>   Fri, 02 Jul 2010 00:47:30 -0400
Superseded in maverick-release on 2010-07-02
Obsolete in lucid-release on 2016-10-26
pacemaker (1.0.8+hg15494-2ubuntu2) lucid; urgency=low

  * pacemaker.postinst: fix permissions on /var/lib/pengine
 -- Ante Karamatic <email address hidden>   Mon, 26 Apr 2010 13:18:55 +0200
Superseded in lucid-release on 2010-04-27
pacemaker (1.0.8+hg15494-2ubuntu1) lucid; urgency=low

  * Sync from debian unstable (LP: #562712).
  * debian/pacemaker-dev.install: Changed 'python2.5/site-packages' to
    'python*/*-packages'.
  * debian/control:
    - Add missing Build-Depends on libcluster-glue-dev.
    - Drop unnecessary Build-Depends on python-dev.
 -- Andres Rodriguez <email address hidden>   Wed, 14 Apr 2010 12:04:34 -0400
Superseded in lucid-release on 2010-04-14
pacemaker (1.0.7+hg20100210-0ubuntu2) lucid; urgency=low

  * Removed useless build-dep on heartbeat-dev
 -- Ante Karamatic <email address hidden>   Wed, 24 Feb 2010 16:47:49 +0000
Superseded in lucid-release on 2010-02-24
pacemaker (1.0.7+hg20100210-0ubuntu1) lucid; urgency=low

  * New upstream snapshot
  * debian/pacemaker.install - install all man pages
  * debian/rules - really remove COPYING* files
  * debian/controld - temporary controld OCF from devel tree
  * debian/rules - install new controld
  * Rebase from Martin Loschwitz's packages
  * debian/control: added openais to pacemaker binary recommends
 -- Ante Karamatic <email address hidden>   Wed, 17 Feb 2010 23:32:14 +0000
175 of 80 results